"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./safeDecoders"));
__export(require("./shared"));
__export(require("./unsafeDecoders"));
exports.decodeString = function (decoder) { return function (input) {
    var json;
    try {
        json = JSON.parse(input);
    }
    catch (_a) {
        throw new Error("Could not parse input: " + input);
    }
    return decoder(json);
}; };
exports.decodeValue = function (decoder) { return function (input) {
    return decoder(input);
}; };
