"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DecodeError = (function (_super) {
    __extends(DecodeError, _super);
    function DecodeError(expected, received) {
        var _this = _super.call(this, "Expected " + expected + " but got " + received) || this;
        _this.expected = expected;
        _this.received = received;
        return _this;
    }
    return DecodeError;
}(Error));
exports.DecodeError = DecodeError;
function getAccurateTypeOf(x) {
    var rawType = Object.prototype.toString.call(x);
    var matches = rawType.toLowerCase().match(/(\w+)/g);
    if (!matches || matches.length < 2) {
        return typeof x;
    }
    return matches[1];
}
exports.getAccurateTypeOf = getAccurateTypeOf;
